/*===============================================================================
電話ボタン：CTA
================================================================================*/
.c-telBtn {
	--c-current: var(--c-act02);
	--c-bg: var(--c-light);
	width: 100%;
	color: var(--c-current);
	background: var(--c-bg);
	border: 3px solid var(--c-act02);
	display: flex;
	gap: .5rem;
	justify-content: center;
	align-items: baseline;
	cursor: pointer;
	transition: var(--ani-t--normal) ease-out;
	font-weight: var(--fw-xl);
	line-height: var(--lh-xs);
	border-radius: 8px;
	/*  - サイズによって変更 -  */
	font-size: clamp(1.75rem, 1.14vw + 1.47rem, 2.5rem);
	padding: 1.25rem 0;
}
.c-telBtn svg {
	width: clamp(1.5rem, .76vw + 1.31rem, 2rem);
}
.c-telBtn:is(:hover,:focus) {
	--c-current: var(--c-light);
	--c-bg: var(--c-act02);
}

/*ーーー 電話ボタン：フッター / ハンバーガーメニュー内 ーーー*/
.c-telBtn.--small {
	font-size: 1.75rem;
	padding: 1rem 0;
}
.c-telBtn.--small svg {
	width: 1.5rem;
}



/*===============================================================================
メールボタン：CTA
================================================================================*/
.c-mailBtn {
	--c-current: var(--c-light);
	--c-bg: var(--c-act01);
	width: 100%;
	color: var(--c-current);
	background: var(--c-bg);
	border: 3px solid var(--c-act01);
	display: flex;
	gap: .5rem;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	transition: var(--ani-t--normal) ease-out;
	font-weight: var(--fw-xl);
	border-radius: 8px;
	/*  - サイズによって変更 -  */
	font-size: 1.25rem;
	padding: clamp(1.25rem, .38vw + 1.16rem, 1.5rem) 0;
}
.c-mailBtn svg {
	width: clamp(1.5rem, .76vw + 1.31rem, 2rem);
}
.c-mailBtn:is(:hover,:focus) {
	opacity: .8;
}


/*===============================================================================
アイコン有りボタン　TOP＞service
================================================================================*/
/*===============================
* ボタン
* =================================*/
.c-icon-btn{
	--circle-size: 1.2em;
	--circle-position: 1em;
	position: relative;
	display: inline-block;
	max-width: 20rem;
	width: 100%;
	padding: .8em calc( var(--circle-size) + var(--circle-position) * 1.25 );
	text-align: center;
	background: var(--c-gradient--dark);
	border-radius: 100vmax;
	box-shadow: 0px 0px 8px rgba(14, 90, 167, 0.2);
	font-family: var(--ff-g);
	font-weight: var(--fw-lg);
	font-size: 1.25rem;
	color: var(--c-light);
	cursor: pointer;
	transition: var(--ani-t--normal) ease-out;
}
.c-icon-btn.--size-lg{
	max-width: 25rem;
}
.c-icon-btn:is(:focus, :hover){
	background: linear-gradient(0deg, #3EB7E8, #3EB7E8);
}
/*〇のCSS*/
.c-icon-btn__icon{
	position: absolute;
	top: 50%;
	right: var(--circle-position);
	transform: translate(0, -50%);
	width: var(--circle-size);
	height: var(--circle-size);
	background: var(--c-light);
	border-radius: 50%;
	transition: var(--ani-t--normal) ease-out;
}
/*＞のCSS*/
.c-icon-btn__icon::after{
	--arrow-size: calc(var(--circle-size) / 3.5);
	--arrow-skew: 0deg;
	--arrow-weight: 2px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-65%, -50%) rotate(0deg) rotate(45deg) skew(var(--arrow-skew), var(--arrow-skew));
	content: "";
	width: var(--arrow-size);
	height: var(--arrow-size);
	border-top: var(--arrow-weight) solid var(--c-main);
	border-right: var(--arrow-weight) solid var(--c-main);
	transition: var(--ani-t--normal) ease-out;
}
.c-icon-btn:is(:focus, :hover) .c-icon-btn__icon::after{
	border-top: var(--arrow-weight) solid #3EB7E8;
	border-right: var(--arrow-weight) solid #3EB7E8;
}


/*===============================================================================
背景画像有りボタン　各下層ページ
================================================================================*/
.c-bgBtn {
	position: relative;
	display: inline-block;
	max-width: unset;
	width: calc((100% - var(--gap) * (var(--count) - 1)) / var(--count));
	padding: clamp(1.75rem, 1.52vw + 1.38rem, 2.75rem) calc( var(--circle-size) + var(--circle-position) * 1.25 );
	text-align: center;
	border-radius: 8px;
	box-shadow: 0px 0px 8px rgba(14, 90, 167, 0.2);
	font-family: var(--ff-g);
	font-weight: var(--fw-lg);
	font-size: 1.25rem;
	color: var(--c-light);
	cursor: pointer;
	transition: var(--ani-t--normal) ease-out;
	overflow: hidden;
	text-shadow: 0 2px 2px rgba(51, 51, 51, .3);
	z-index: 1;
}
.c-bgBtn::after {
	position: absolute;
	content: "";
	inset: 0;
	background: var(--c-gradient--dark);
	z-index: -1;
	transition: var(--ani-t--normal) ease-out;
}
.c-bgBtn::before {
	--bg-img : url(/wp-content/uploads/cover-title1.jpg);
	position: absolute;
	content: "";
	inset: 0;
	background: var(--bg-img);
	background-position: center;
	background-size: cover;
	opacity: .3;
	z-index: 0;
	transition: var(--ani-t--normal) ease-out;
}
.c-bgBtn:is(:hover,:focus)::before {
	transform: scale(1.1);
}
.c-bgBtn:is(:hover,:focus)::after {
	background: #3EB7E8;
}
/*ーーー 作業の流れ ーーー*/
.c-bgBtn.--flow::before {
	--bg-img: url(/wp-content/uploads/cover-title3.jpg);
}
/*ーーー よくある質問 ーーー*/
.c-bgBtn.--faq::before {
	--bg-img: url(/wp-content/uploads/cover-title4.jpg);
}